+ Add Question

Will Todoist work with Outllok 2003. Running it under Windows 7.

C

All responses

Brendon Wadey staff
Replied on Nov 09, 2013 - 01:31 UTC

Hi There,

No, our Outlook plugin requires 2007 and above. You can give out latest version a try, but it's likely to not work at all or have issues.
https://d2dq6e731uoz0t.cloudfront.net/cd2fb847eb3397185b45a892c8d94dc5/as/OutlookTodoist.Adx.exe

Thanks,
Brendon.

C
ccsorrels
Replied on Nov 09, 2013 - 23:12 UTC

Thanks for your reply.

C
ccsorrels
Replied on Nov 09, 2013 - 23:13 UTC

Thanks for your reply.

C
ccsorrels
Replied on Nov 09, 2013 - 23:13 UTC

Thanks for your reply.

C
ccsorrels
Replied on Nov 09, 2013 - 23:13 UTC

Thanks for your reply.